# Two-brain EEG analysis

This repository contains the code used to analyze the data that supports the findings from the following publication:
Qianliang Li, Marius Zimmermann and Ivana Konvalinka. Two-brain microstates: A novel hyperscanning-EEG method for quantifying task-driven inter-brain asymmetry.
Journal of Neuroscience Methods, 416, 2025. DOI: https://doi.org/10.1016/j.jneumeth.2024.110355.

The code consist of 4 python scripts:
1. Main.py is the main script and contains the code to estimate the microstates and compute the corresponding features.
2. dualmicro_functions.py contains the functions employed by Main.py.
3. eeg_microstates3.py is a slightly modified version of the microstate Python toolbox by von Wegner F, Laufs H, 2018 (doi: 10.3389/fninf.2018.00030).
4. helper.py contains a few generic utility functions.

The requirement.txt file contains the library versions employed for the analysis in the study.

The data used in this analysis is publicly available and was previously described and preprocessed by Zimmermann, M., Lomoriello, A. S., and Konvalinka, I. Intra-individual behavioural and neural signatures of audience effects and interactions in a mirror-game paradigm. Royal Society Open Science, 9(2) 2022.

Notice that we fitted the microstates over all the subjects, which might be infeasible without access to high performance computing. An alternative is to determine individual maps and then averaging group-wise, however such group-averaged maps are not guaranteed to explain the variance as well as maps found by fitting to all data.